<?php

namespace App\Policies;

use App\Models\User;

class SprintPolicy
{
    public function view(User $user): bool
    {
        return $user->hasPermission('view_sprints');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('create_sprints');
    }

    public function update(User $user): bool
    {
        return $user->hasPermission('edit_sprints');
    }

    public function delete(User $user): bool
    {
        return $user->hasPermission('delete_sprints');
    }
}
